Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Name:		docbook-xml-dtd
Version:	4.5
Release:	2
License:	GNU/GPL 
URL:		http://www.oasis-open.org/docbook/xml/4.5/
Group:		Development/Other
Source0:	docbook-xml-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Docbook DTD for XML.
BuildRequires:	unzip
BuildRequires:	libxml2
BuildRequires:	build-docbook-catalog
Requires:	libxml2
Requires:	build-docbook-catalog
BuildArch:	noarch

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
Docbook DTD for XML.

%post
#  Create (or update) and populate the /etc/xml/docbook catalog
build-docbook-catalog &> /dev/null

%postun
#  Create (or update) and populate the /etc/xml/docbook catalog
build-docbook-catalog &> /dev/null

%prep
%setup -q -c %{name}-%{version} -n %{name}-%{version} 

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_sysconfdir/xml,%_datadir/xml/docbook/xml-dtd-4.5/ent}
cp -af docbook.cat *.dtd *.mod $RPM_BUILD_ROOT%_datadir/xml/docbook/xml-dtd-4.5/
cp -af ent/*.ent $RPM_BUILD_ROOT%_datadir/xml/docbook/xml-dtd-4.5/ent/

%files
%defattr(-,root,root)
%_sysconfdir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.5-1
- Version update
* Tue Oct 25 2005 Christian Wasem <wasem@ccux-linux.de> 4.4-2
- tweaked specfile, added creating of catalogs in /etc/xml
- added utilitizing docbook for ScrollKeeper
- setting BuildArch to noarch (no compiling)
* Mon Jun 13 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.4-1
- Initial Release
